#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libgusb
Version		:	0.4.6
Release		:	17.2.0.rel%{?dist}
Summary		:	GLib wrapper around libusb

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/hughsie/libgusb

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gi-docgen-doc
BuildRequires	:	gtk-doc
BuildRequires	:	json-glib
BuildRequires	:	libusb
BuildRequires	:	meson
BuildRequires	:	python3-Jinja2
BuildRequires	:	python3-markdown
BuildRequires	:	python3-MarkupSafe
BuildRequires	:	python3-typogrify
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS RELEASE.md README.md
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

#=============================================================================
%package		devel
Summary		:	Libraries and headers for gusb

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
GLib headers and libraries for gusb.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/gusb-1
%{_bindir}/gusbcmd
%{_libdir}/libgusb.so
%{_libdir}/pkgconfig/gusb.pc
#{_datadir}/gtk-doc/html/gusb
%{_defaultdocdir}/%{name}/index.json
%{_defaultdocdir}/%{name}/%{name}.devhelp2
%{_defaultdocdir}/%{name}/*.css
%{_defaultdocdir}/%{name}/*.html
%{_defaultdocdir}/%{name}/*.js
%{_defaultdocdir}/%{name}/*.png
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.deps
%{_datadir}/vala/vapi/gusb.vapi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


meson							\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	-D vapi=true					\
	-D tests=true					\
	_build						\


ninja							\
	-C _build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C _build				\
		install

#-----------------------------------------------------------------------------
%changelog
